VRPlatformVRPlatform
Apps

/apps/{id}

Get app by ID

GET
/apps/{id}
X-API-Key<token>

API key provided in dashboard

In: header

Path Parameters

id*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.vrplatform.app/apps/string"
{
  "id": "string",
  "name": "string",
  "icon": "string",
  "type": "string",
  "category": "string",
  "description": "string",
  "flows": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "type": "push",
      "left": "string",
      "right": "string"
    }
  ],
  "extractors": [
    {
      "name": "string",
      "sync": "full",
      "visible": true,
      "isDateRangeFetchable": true,
      "dateRangeMethod": "checkIn/checkOut",
      "params": {
        "type": "object",
        "properties": {
          "uniqueRef": {
            "type": "string"
          }
        },
        "additionalProperties": false
      },
      "urlExample": "string",
      "allowConfirmationCode": true
    }
  ],
  "importers": [
    {
      "docsLink": "string",
      "uniqueRef": "string",
      "description": "string",
      "types": [
        "string"
      ]
    }
  ]
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}